LIMACTL(1)

NAME
limactl-create - Create an instance of Lima

SYNOPSIS
limactl create FILE.yaml|URL [flags]

DESCRIPTION
Create an instance of Lima

OPTIONS
--arch=""
    Machine architecture (x86_64, aarch64, riscv64, armv7l, s390x, ppc64le)

--containerd=""
    containerd mode (user, system, user+system, none)

--cpus=0
    Number of CPUs

--disk=0
    Disk size in GiB

--dns=[]
    Specify custom DNS (disable host resolver)

-h, --help[=false]
    help for create

--list-templates[=false]
    List available templates and exit

--memory=0
    Memory in GiB

--mount=[]
    Directories to mount, suffix ':w' for writable (Do not specify directories that overlap with the existing mounts)

--mount-inotify[=false]
    Enable inotify for mounts

--mount-none[=false]
    Remove all mounts

--mount-type=""
    Mount type (reverse-sshfs, 9p, virtiofs)

--mount-writable[=false]
    Make all mounts writable

--name=""
    Override the instance name

--network=[]
    Additional networks, e.g., "vzNAT" or "lima:shared" to assign vmnet IP

--plain[=false]
    Plain mode. Disables mounts, port forwarding, containerd, etc.

--rosetta[=false]
    Enable Rosetta (for vz instances)

--set=""
    Modify the template inplace, using yq syntax

--video[=false]
    Enable video output (has negative performance impact for QEMU)

--vm-type=""
    Virtual machine type (qemu, vz)

OPTIONS INHERITED FROM PARENT COMMANDS
--debug[=false]
    Debug mode

--log-format="text"
    Set the logging format [text, json]

--log-level=""
    Set the logging level [trace, debug, info, warn, error]

--tty[=false]
    Enable TUI interactions such as opening an editor. Defaults to true when stdout is a terminal. Set to false for automation.

-y, --yes[=false]
    Alias of --tty=false

EXAMPLE
    To create an instance "default" from the default Ubuntu template:
    $ limactl create
    To create an instance "default" from a template "docker":
    $ limactl create --name=default template://docker
    To create an instance "default" with modified parameters:
    $ limactl create --cpus=2 --memory=2
    To create an instance "default" with yq expressions:
    $ limactl create --set='.cpus = 2 | .memory = "2GiB"'
    To see the template list:
    $ limactl create --list-templates
    To create an instance "default" from a local file:
    $ limactl create --name=default /usr/local/share/lima/templates/fedora.yaml
    To create an instance "default" from a remote URL (use carefully, with a trustable source):
    $ limactl create --name=default https://raw.githubusercontent.com/lima-vm/lima/master/templates/alpine.yaml
    To create an instance "local" from a template passed to stdin (--name parameter is required):
    $ cat template.yaml | limactl create --name=local -

SEE ALSO
limactl(1)